Table of Contents

## Name

gluErrorString - produce an error string from a GL or GLU error code

## C Specification

const GLubyte * gluErrorString( GLenum error )

eqn not supported

## Parameters

error
  Specifies a GL or GLU error code.

## Description

gluErrorString produces an error string from a GL or GLU error code. The string is in ISO Latin 1 . For example, gluErrorString(GL_OUT_OF_MEMORY) returns the string out of memory.

The standard GLU error codes are GLU_INVALID_ENUM, GLU_INVALID_VALUE, and GLU_OUT_OF_MEMORY. Certain other GLU functions can return specialized error codes through callbacks. See the glGetError reference page for the list of GL error codes.

## Errors

NULL is returned if error is not a valid GL or GLU error code.

## See Also

glGetError(3G) , gluNurbsCallback(3G) , gluQuadricCallback(3G) , gluTessCallback(3G)

Table of Contents

- Name
- C Specification
- Parameters
- Description
- Errors
- See Also